Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.chapterIV.builders.impl
Class AdmissionBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.chapterIV.builders.impl.AdmissionBuilderImpl

All Implemented Interfaces:
  AdmissionBuilder

    public class AdmissionBuilderImpl

extends Object
implements AdmissionBuilder

A builder for the chapter IV admission service. Implements : `AdmissionBuilder`

Constructor Summary
`AdmissionBuilderImpl(CommonBuilder commonBuilder)`

Method Summary
`ChapterIVBuilderResponse` | `build(FolderType folder, boolean isTest, ChapterIVReferences references, org.joda.time.DateTime agreementStartDate)`
`AskChap4MedicalAdvisorAgreementRequest` | `buildRequest(FolderType folder, boolean isTest, ChapterIVReferences references, org.joda.time.DateTime agreementStartDate)`
`AskChap4MedicalAdvisorAgreementRequest` | `buildRequest(FolderType folder, boolean isTest, String commonReference, String commonNIPReference, org.joda.time.DateTime agreementStartDate)` builds the `AskChap4MedicalAdvisorAgreementRequest`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdmissionBuilderImpl

    public AdmissionBuilderImpl(CommonBuilder commonBuilder)

Method Detail

### buildRequest

    public final AskChap4MedicalAdvisorAgreementRequest buildRequest(FolderType folder,
                                                                     boolean isTest,
                                                                     String commonReference,
                                                                     String commonNIPReference,
                                                                     org.joda.time.DateTime agreementStartDate)
                                                              throws ChapterIVBusinessConnectorException,
                                                                     TechnicalConnectorException

  Description copied from interface: `AdmissionBuilder`
  builds the `AskChap4MedicalAdvisorAgreementRequest`. the folder should contain at least the following elements for the connector to work :
  - the ids list in folder.patient.ids should contain at least one id.
  for the agreementStartDate parameter utility method is provided in `FolderTypeUtils` .retrieveConsultationStartDateOrAgreementStartDate(FolderType folder), if this value is null you need to provide the agreementStartDate yourself , following the chapterIV documentation

  Specified by:
    `buildRequest` in interface `AdmissionBuilder`
  Parameters:
    `folder` - `FolderType` contains the information to retrieve/send
    `isTest` - boolean indicating if this message is a test or not
    `commonReference` - String used to fill out commonReference field in CommonInput tag
    `commonNIPReference` - String used to fill out commonNipReference field in CommonInput tag
    `agreementStartDate` - not nullable : the agreementStartDate to be used in the request for the webservice : value : see documentation chapterIV
  Returns:
    filled out AskChap4MedicalAdvisorAgreementRequest
  Throws:
    `ChapterIVBusinessConnectorException`
    `TechnicalConnectorException`
  See Also:
    `AdmissionBuilder.buildRequest(be.fgov.ehealth.standards.kmehr.schema.v1.FolderType, boolean, java.lang.String, java.lang.String, DateTime)`

### buildRequest

    public AskChap4MedicalAdvisorAgreementRequest buildRequest(FolderType folder,
                                                               boolean isTest,
                                                               ChapterIVReferences references,
                                                               org.joda.time.DateTime agreementStartDate)
                                                        throws ChapterIVBusinessConnectorException,
                                                               TechnicalConnectorException

  Specified by:
    `buildRequest` in interface `AdmissionBuilder`
  Parameters:
    `folder` - `FolderType` contains the information to retrieve/send
    `isTest` - boolean indicating if this message is a test or not
    `references` - contains all the references needed by ChapterIV
    `agreementStartDate` - not nullable : the agreementStartDate to be used in the request for the webservice : value : see documentation chapterIV
  Returns:
    filled out AskChap4MedicalAdvisorAgreementRequest
  Throws:
    `ChapterIVBusinessConnectorException`
    `TechnicalConnectorException`
  See Also:
    `AdmissionBuilder.buildRequest(be.fgov.ehealth.standards.kmehr.schema.v1.FolderType, boolean, be.ehealth.businessconnector.chapterIV.domain.ChapterIVReferences, org.joda.time.DateTime)`

### build

    public ChapterIVBuilderResponse build(FolderType folder,
                                          boolean isTest,
                                          ChapterIVReferences references,
                                          org.joda.time.DateTime agreementStartDate)
                                   throws ChapterIVBusinessConnectorException,
                                          TechnicalConnectorException

  Specified by:
    `build` in interface `AdmissionBuilder`
  Parameters:
    `folder` - `FolderType` contains the information to retrieve/send
    `isTest` - boolean indicating if this message is a test or not
    `references` - contains all the references needed by ChapterIV
    `agreementStartDate` - not nullable : the agreementStartDate to be used in the request for the webservice : value : see documentation chapterIV
  Returns:
    a `Map` with all the object generated by the builder.
  Throws:
    `ChapterIVBusinessConnectorException`
    `TechnicalConnectorException`
  See Also:
    `AdmissionBuilder.build(be.fgov.ehealth.standards.kmehr.schema.v1.FolderType, boolean, be.ehealth.businessconnector.chapterIV.domain.ChapterIVReferences, org.joda.time.DateTime)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.